php7.0-fpm_7.0.33-0ubuntu0.16.04.6_i386.deb


Advertisement

Description

php7.0-fpm - server-side, HTML-embedded scripting language (FPM-CGI binary)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Universe i386
Package filename php7.0-fpm_7.0.33-0ubuntu0.16.04.6_i386.deb
Package name php7.0-fpm
Package version 7.0.33
Package release 0ubuntu0.16.04.6
Package architecture i386
Package type deb
Category universe/php
Homepage http://www.php.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.29 MB
Installed size 3.99 MB
This package provides the Fast Process Manager interpreter that runs
as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
probably want the libapache2-mod-php7.0 package.
The following extensions are built in: Core date filter hash libxml openssl
pcre Reflection session SPL standard zlib.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.

Alternatives

Package Version Architecture Repository
php7.0-fpm_7.0.33-0ubuntu0.16.04.6_amd64.deb 7.0.33 amd64 Ubuntu Updates Universe
php7.0-fpm_7.0.4-7ubuntu2_i386.deb 7.0.4 i386 Ubuntu Universe
php7.0-fpm_7.0.4-7ubuntu2_amd64.deb 7.0.4 amd64 Ubuntu Universe
php7.0-fpm - - -

Requires

Name Value
init-system-helpers >= 1.18~
libapparmor1 >= 2.7.0~beta1+bzr1772
libc6 >= 2.15
libmagic1 -
libpcre3 -
libssl1.0.0 >= 1.0.2~beta3
libsystemd0 -
libxml2 >= 2.8.0
lsb-base >= 4.1+Debian11ubuntu7
mime-support -
php7.0-cli -
php7.0-common = 7.0.33-0ubuntu0.16.04.6
php7.0-json -
php7.0-opcache -
tzdata -
ucf -
zlib1g >= 1:1.2.3.4

Provides

Name Value
php-fpm -
phpapi-20151012 -

Conflicts

Name Value
php5-fpm << 5.6.16+dfsg-4~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php7.0-fpm_7.0.33-0ubuntu0.16.04.6_i386.deb
Source Package php7.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php7.0-fpm deb package:
    # sudo apt-get install php7.0-fpm

Files

Path
/etc/apache2/conf-available/php7.0-fpm.conf
/etc/init/php7.0-fpm.conf
/etc/init.d/php7.0-fpm
/etc/logrotate.d/php7.0-fpm
/etc/php/7.0/fpm/php-fpm.conf
/etc/php/7.0/fpm/pool.d/www.conf
/lib/systemd/system/php7.0-fpm.service
/usr/lib/php/php7.0-fpm-checkconf
/usr/lib/php/php7.0-fpm-reopenlogs
/usr/lib/php/7.0/sapi/fpm
/usr/lib/tmpfiles.d/php7.0-fpm.conf
/usr/sbin/php-fpm7.0
/usr/share/bug/php7.0-fpm/control
/usr/share/bug/php7.0-fpm/script
/usr/share/doc/php7.0-fpm
/usr/share/lintian/overrides/php7.0-fpm
/usr/share/man/man8/php-fpm7.0.8.gz
/usr/share/php/7.0/fpm/status.html

Changelog

2019-08-12 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
php7.0 (7.0.33-0ubuntu0.16.04.6) xenial-security; urgency=medium
* SECURITY UPDATE: Heap-buffer-overflow
- debian/patches/CVE-2019-11041.patch: check Thumbnail.size in order
to avoid an overflow in ext/exif.exif.c and adding test to
ext/exif/tests/bug78222.phpt.
- CVE-2019-11041
* SECURITY UPDATE: Heap-buffer-overflow
- debian/patches/CVE-2019-11042.patch: check ByteCount in order to
avoid an overflow in ext/exif/exif.c and adding tests to
ext/exif/tests/bug78256.phpt.
- CVE-2019-11042
2019-06-04 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
php7.0 (7.0.33-0ubuntu0.16.04.5) xenial-security; urgency=medium
* SECURITY UPDATE: overflow in exif_process_IFD_TAG
- debian/patches/CVE-2019-11036.patch: check dir_entry in
ext/exif/exif.c.
- CVE-2019-11036
* SECURITY UPDATE: out-of-bounds read in _php_iconv_mime_decode()
- debian/patches/CVE-2019-11039.patch: add an extra check in
ext/iconv/iconv.c.
- CVE-2019-11039
* SECURITY UPDATE: heap-buffer-overflow on php_jpg_get16
- debian/patches/CVE-2019-11040.patch: add an extra check in
ext/exif/exif.c.
- CVE-2019-11040
2019-04-18 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
php7.0 (7.0.33-0ubuntu0.16.04.4) xenial-security; urgency=medium
* SECURITY UPDATE: Heap-buffer-overflow in php_ifd_get32s
- debian/patches/CVE-2019-11034.patch: check size in ext/exif/exif.c.
- CVE-2019-11034
* SECURITY UPDATE: Heap-buffer-overflow in exif_iif_add_value in EXIF
- debian/patches/CVE-2019-11035-1.patch: add checks to ext/exif/exif.c.
- debian/patches/CVE-2019-11035-2.patch: add casts to ext/exif/exif.c.
- debian/patches/CVE-2019-11035-3.patch: fix typo in ext/exif/exif.c.
- CVE-2019-11035
2019-03-21 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
php7.0 (7.0.33-0ubuntu0.16.04.3) xenial-security; urgency=medium
* SECURITY UPDATE: Unauthorized users access
- debian/patches/CVE-2019-9637.patch: fix in
main/streams/plain_wrapper.c.
- CVE-2019-9637
* SECURITY UPDATE: Invalid read in exif_process_IFD_MAKERNOTE
- debian/patches/CVE-2019-9638-and-CVE-2019-9639-*.patch: fix in
ext/exif/exif.c, added tests in ext/exif/tests/bug77563.jpg,
ext/exif/tests/bug77563.phpt.
- CVE-2019-9638
- CVE-2019-9639
* SECURITY UPDATE: Invalid read
- debian/patches/CVE-2019-9640.patch: fix in
ext/exif/exif.c, added tests in ext/exif/tests/bug77540.jpg,
ext/exif/tests/bug77540.phpt.
- CVE-2019-9640
* SECURITY UPDATE: Unitialized read
- debian/patches/CVE-2019-9641.patch: fix in ext/exif/exif.c.
- CVE-2019-9641
* SECURITY UPDATE: Buffer overflow
- debian/patches/CVE-2019-9675.patch: fix in
ext/phar/tar.c, added tests in ext/phar/tests/bug71488.phpt,
ext/phar/tests/bug77586,phpt, ext/phar/tests/bug77586/files/*.

See Also

Package Description
php7.0-imap_7.0.33-0ubuntu0.16.04.6_i386.deb IMAP module for PHP
php7.0-interbase_7.0.33-0ubuntu0.16.04.6_i386.deb Interbase module for PHP
php7.0-intl_7.0.33-0ubuntu0.16.04.6_i386.deb Internationalisation module for PHP
php7.0-mbstring_7.0.33-0ubuntu0.16.04.6_i386.deb MBSTRING module for PHP
php7.0-mcrypt_7.0.33-0ubuntu0.16.04.6_i386.deb libmcrypt module for PHP
php7.0-phpdbg_7.0.33-0ubuntu0.16.04.6_i386.deb server-side, HTML-embedded scripting language (PHPDBG binary)
php7.0-soap_7.0.33-0ubuntu0.16.04.6_i386.deb SOAP module for PHP
php7.0-sybase_7.0.33-0ubuntu0.16.04.6_i386.deb Sybase module for PHP
php7.0-xsl_7.0.33-0ubuntu0.16.04.6_all.deb XSL module for PHP (dummy)
php7.0-zip_7.0.33-0ubuntu0.16.04.6_i386.deb Zip module for PHP
phpldapadmin_1.2.2-5.2ubuntu2.1_all.deb web based interface for administering LDAP servers
phpmyadmin_4.5.4.1-2ubuntu2.1_all.deb MySQL web administration tool
picocom_1.7-2build0.16.04.1_i386.deb minimal dumb-terminal emulation program
pidgin-data_2.10.12-0ubuntu5.2_all.deb multi-protocol instant messaging client - data files
pidgin-dev_2.10.12-0ubuntu5.2_all.deb multi-protocol instant messaging client - development files
Advertisement
Advertisement